.. AUTO-GENERATED FILE. DO NOT EDIT. /desktop-store-applications-post-one ==================================== Summary ------- - **Source repository:** ``jef-systems/jef-desktop-store-backend`` - **Source SHA:** ``6c02435a10af3f8e3dcfdc041b2c18477b0bc921`` - **Source run id:** ``28366763613`` - **Lambda function:** ``jef-desktop-store-post-001`` - **HTTP method:** ``POST`` - **API path:** ``/desktop-store-applications-post-one`` - **Endpoint URL:** ``https://u91anelyve.execute-api.ap-southeast-1.amazonaws.com/prod/desktop-store-applications-post-one`` - **Payload mode:** ``json-body`` Description ----------- .. list-table:: :widths: 30 70 * - ``Function`` - jef-desktop-store-post-001 Logical ID: jef-desktop-store:jef-desktop-store-applications:post-one Order Number: 002 * - ``Module`` - jef-desktop-store * - ``Action`` - post-one * - ``Method`` - POST * - ``Invocation Mode`` - ASYNC * - ``Resource Path`` - /desktop-store-applications-post-one Endpoint Name: jef-desktop-store-applications-post-one * - ``Table`` - jef-desktop-store-applications * - ``Primary Key`` - application\_id API Gateway Response -------------------- .. list-table:: :widths: 30 70 * - ``status\_code`` - 202 * - ``message`` - Request accepted for asynchronous processing. Payload Example --------------- .. list-table:: :widths: 30 70 * - ``application\_id`` - 81482d4a-2736-4337-b80f-4cc48f439778 * - ``application\_name`` - Sample Name * - ``display\_name`` - Sample Name * - ``version`` - value-001 * - ``platform`` - value-001 * - ``installer\_type`` - value-001 * - ``s3\_key`` - value-001 * - ``is\_active`` - True * - ``idempotency\_key`` - value-001 * - ``created`` - 2026-06-29T10:50:43Z * - ``updated`` - 2026-06-29T10:50:43Z Payload Schema -------------- .. code-block:: json { "type": "object", "additionalProperties": "False", "payload_mode": "flat", "allow_children_wrapper": "False", "children_wrapper_field": "", "allow_batch": "False", "table": "jef-desktop-store-applications", "primary_key": "application_id", "required[0]": "application_name", "required[1]": "display_name", "required[2]": "version", "required[3]": "platform", "required[4]": "installer_type", "required[5]": "s3_key", "required[6]": "idempotency_key", "properties.application_id.field": "application_id", "properties.application_id.type": "S", "properties.application_id.required": "False", "properties.application_id.source_required": "True", "properties.application_id.server_generated": "True", "properties.application_id.autogenerated": "False", "properties.application_id.frontend_autocomputed": "False", "properties.application_id.format": "uuidv4", "properties.application_id.regex": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$", "properties.application_name.field": "application_name", "properties.application_name.type": "S", "properties.application_name.required": "True", "properties.application_name.source_required": "True", "properties.application_name.server_generated": "False", "properties.application_name.autogenerated": "False", "properties.application_name.frontend_autocomputed": "False", "properties.application_name.regex": "^[A-Za-z0-9 ._-]{1,120}$", "properties.display_name.field": "display_name", "properties.display_name.type": "S", "properties.display_name.required": "True", "properties.display_name.source_required": "True", "properties.display_name.server_generated": "False", "properties.display_name.autogenerated": "False", "properties.display_name.frontend_autocomputed": "False", "properties.display_name.regex": "^[A-Za-z0-9 ._-]{1,120}$", "properties.version.field": "version", "properties.version.type": "S", "properties.version.required": "True", "properties.version.source_required": "True", "properties.version.server_generated": "False", "properties.version.autogenerated": "False", "properties.version.frontend_autocomputed": "False", "properties.version.regex": "^[0-9]+[.][0-9]+[.][0-9]+$", "properties.platform.field": "platform", "properties.platform.type": "S", "properties.platform.required": "True", "properties.platform.source_required": "True", "properties.platform.server_generated": "False", "properties.platform.autogenerated": "False", "properties.platform.frontend_autocomputed": "False", "properties.platform.regex": "^(windows)$", "properties.installer_type.field": "installer_type", "properties.installer_type.type": "S", "properties.installer_type.required": "True", "properties.installer_type.source_required": "True", "properties.installer_type.server_generated": "False", "properties.installer_type.autogenerated": "False", "properties.installer_type.frontend_autocomputed": "False", "properties.installer_type.regex": "^(exe|msi|zip)$", "properties.s3_key.field": "s3_key", "properties.s3_key.type": "S", "properties.s3_key.required": "True", "properties.s3_key.source_required": "True", "properties.s3_key.server_generated": "False", "properties.s3_key.autogenerated": "False", "properties.s3_key.frontend_autocomputed": "False", "properties.s3_key.regex": "^.{1,1024}$", "properties.is_active.field": "is_active", "properties.is_active.type": "BOOL", "properties.is_active.required": "False", "properties.is_active.source_required": "True", "properties.is_active.server_generated": "False", "properties.is_active.autogenerated": "False", "properties.is_active.frontend_autocomputed": "False", "properties.is_active.regex": "^(true|false)$", "properties.idempotency_key.field": "idempotency_key", "properties.idempotency_key.type": "S", "properties.idempotency_key.required": "True", "properties.idempotency_key.source_required": "True", "properties.idempotency_key.server_generated": "False", "properties.idempotency_key.autogenerated": "False", "properties.idempotency_key.frontend_autocomputed": "False", "properties.idempotency_key.regex": "^[A-Za-z0-9._:-]{1,160}$", "properties.created.field": "created", "properties.created.type": "S", "properties.created.required": "False", "properties.created.source_required": "True", "properties.created.server_generated": "True", "properties.created.autogenerated": "False", "properties.created.frontend_autocomputed": "False", "properties.created.format": "iso8601", "properties.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$", "properties.updated.field": "updated", "properties.updated.type": "S", "properties.updated.required": "False", "properties.updated.source_required": "True", "properties.updated.server_generated": "True", "properties.updated.autogenerated": "False", "properties.updated.frontend_autocomputed": "False", "properties.updated.format": "iso8601", "properties.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$", "children": "[]", "root.type": "object", "root.attributes.application_id.field": "application_id", "root.attributes.application_id.type": "S", "root.attributes.application_id.required": "False", "root.attributes.application_id.source_required": "True", "root.attributes.application_id.server_generated": "True", "root.attributes.application_id.autogenerated": "False", "root.attributes.application_id.frontend_autocomputed": "False", "root.attributes.application_id.format": "uuidv4", "root.attributes.application_id.regex": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$", "root.attributes.application_name.field": "application_name", "root.attributes.application_name.type": "S", "root.attributes.application_name.required": "True", "root.attributes.application_name.source_required": "True", "root.attributes.application_name.server_generated": "False", "root.attributes.application_name.autogenerated": "False", "root.attributes.application_name.frontend_autocomputed": "False", "root.attributes.application_name.regex": "^[A-Za-z0-9 ._-]{1,120}$", "root.attributes.display_name.field": "display_name", "root.attributes.display_name.type": "S", "root.attributes.display_name.required": "True", "root.attributes.display_name.source_required": "True", "root.attributes.display_name.server_generated": "False", "root.attributes.display_name.autogenerated": "False", "root.attributes.display_name.frontend_autocomputed": "False", "root.attributes.display_name.regex": "^[A-Za-z0-9 ._-]{1,120}$", "root.attributes.version.field": "version", "root.attributes.version.type": "S", "root.attributes.version.required": "True", "root.attributes.version.source_required": "True", "root.attributes.version.server_generated": "False", "root.attributes.version.autogenerated": "False", "root.attributes.version.frontend_autocomputed": "False", "root.attributes.version.regex": "^[0-9]+[.][0-9]+[.][0-9]+$", "root.attributes.platform.field": "platform", "root.attributes.platform.type": "S", "root.attributes.platform.required": "True", "root.attributes.platform.source_required": "True", "root.attributes.platform.server_generated": "False", "root.attributes.platform.autogenerated": "False", "root.attributes.platform.frontend_autocomputed": "False", "root.attributes.platform.regex": "^(windows)$", "root.attributes.installer_type.field": "installer_type", "root.attributes.installer_type.type": "S", "root.attributes.installer_type.required": "True", "root.attributes.installer_type.source_required": "True", "root.attributes.installer_type.server_generated": "False", "root.attributes.installer_type.autogenerated": "False", "root.attributes.installer_type.frontend_autocomputed": "False", "root.attributes.installer_type.regex": "^(exe|msi|zip)$", "root.attributes.s3_key.field": "s3_key", "root.attributes.s3_key.type": "S", "root.attributes.s3_key.required": "True", "root.attributes.s3_key.source_required": "True", "root.attributes.s3_key.server_generated": "False", "root.attributes.s3_key.autogenerated": "False", "root.attributes.s3_key.frontend_autocomputed": "False", "root.attributes.s3_key.regex": "^.{1,1024}$", "root.attributes.is_active.field": "is_active", "root.attributes.is_active.type": "BOOL", "root.attributes.is_active.required": "False", "root.attributes.is_active.source_required": "True", "root.attributes.is_active.server_generated": "False", "root.attributes.is_active.autogenerated": "False", "root.attributes.is_active.frontend_autocomputed": "False", "root.attributes.is_active.regex": "^(true|false)$", "root.attributes.idempotency_key.field": "idempotency_key", "root.attributes.idempotency_key.type": "S", "root.attributes.idempotency_key.required": "True", "root.attributes.idempotency_key.source_required": "True", "root.attributes.idempotency_key.server_generated": "False", "root.attributes.idempotency_key.autogenerated": "False", "root.attributes.idempotency_key.frontend_autocomputed": "False", "root.attributes.idempotency_key.regex": "^[A-Za-z0-9._:-]{1,160}$", "root.attributes.created.field": "created", "root.attributes.created.type": "S", "root.attributes.created.required": "False", "root.attributes.created.source_required": "True", "root.attributes.created.server_generated": "True", "root.attributes.created.autogenerated": "False", "root.attributes.created.frontend_autocomputed": "False", "root.attributes.created.format": "iso8601", "root.attributes.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$", "root.attributes.updated.field": "updated", "root.attributes.updated.type": "S", "root.attributes.updated.required": "False", "root.attributes.updated.source_required": "True", "root.attributes.updated.server_generated": "True", "root.attributes.updated.autogenerated": "False", "root.attributes.updated.frontend_autocomputed": "False", "root.attributes.updated.format": "iso8601", "root.attributes.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$" } Response Schema --------------- .. code-block:: json { "type": "object", "properties.ok.type": "boolean", "properties.accepted.type": "boolean", "properties.is_committed.type": "boolean", "properties.request_id.type": "string", "properties.message.type": "string", "properties.table.type": "string", "properties.operation.type": "string", "properties.primary_key.type": "string", "properties.primary_key_value.type": "string", "properties.item_write_count.type": "number", "properties.child_write_count.type": "number" } Request Payload --------------- .. code-block:: json { "application_id": "81482d4a-2736-4337-b80f-4cc48f439778", "application_name": "Sample Name", "display_name": "Sample Name", "version": "value-001", "platform": "value-001", "installer_type": "value-001", "s3_key": "value-001", "is_active": "True", "idempotency_key": "value-001", "created": "2026-06-29T10:50:43Z", "updated": "2026-06-29T10:50:43Z" } Response -------- .. code-block:: json { "type": "object", "properties.ok.type": "boolean", "properties.accepted.type": "boolean", "properties.is_committed.type": "boolean", "properties.request_id.type": "string", "properties.message.type": "string", "properties.table.type": "string", "properties.operation.type": "string", "properties.primary_key.type": "string", "properties.primary_key_value.type": "string", "properties.item_write_count.type": "number", "properties.child_write_count.type": "number" } CMD curl -------- .. code-block:: bat curl -X POST "https://u91anelyve.execute-api.ap-southeast-1.amazonaws.com/prod/desktop-store-applications-post-one" -H "Content-Type: application/json" --data-raw "{\"application_id\": \"81482d4a-2736-4337-b80f-4cc48f439778\", \"application_name\": \"Sample Name\", \"display_name\": \"Sample Name\", \"version\": \"value-001\", \"platform\": \"value-001\", \"installer_type\": \"value-001\", \"s3_key\": \"value-001\", \"is_active\": true, \"idempotency_key\": \"value-001\", \"created\": \"2026-06-29T10:50:43Z\", \"updated\": \"2026-06-29T10:50:43Z\"}" PowerShell curl --------------- .. code-block:: powershell curl.exe -X POST "https://u91anelyve.execute-api.ap-southeast-1.amazonaws.com/prod/desktop-store-applications-post-one" -H "Content-Type: application/json" --data-raw '{"application_id": "81482d4a-2736-4337-b80f-4cc48f439778", "application_name": "Sample Name", "display_name": "Sample Name", "version": "value-001", "platform": "value-001", "installer_type": "value-001", "s3_key": "value-001", "is_active": true, "idempotency_key": "value-001", "created": "2026-06-29T10:50:43Z", "updated": "2026-06-29T10:50:43Z"}'